
#property indicator_chart_window

extern string note1 = "Trline_norm settings";
extern int period = 14;




extern string note3 = "0=high/low, 1=close/close";
extern int       PriceField    =   0;
extern bool Show_Stoch_Value = true;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorShortName("Trline_norm");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(0,OBJ_LABEL);
   ObjectDelete("ObjLabel1"); ObjectDelete("ObjLabel2"); ObjectDelete("ObjLabel3"); ObjectDelete("ObjLabel4");
   ObjectDelete("ObjLabel5"); ObjectDelete("ObjLabel6"); ObjectDelete("ObjLabel7"); ObjectDelete("ObjLabel8");
   ObjectDelete("ObjLabel12");ObjectDelete("ObjLabel12a");
   ObjectDelete("ObjLabel13"); ObjectDelete("ObjLabel14"); ObjectDelete("ObjLabel15"); ObjectDelete("ObjLabel16");
   ObjectDelete("ObjLabel13a"); ObjectDelete("ObjLabel14a"); ObjectDelete("ObjLabel15a"); ObjectDelete("ObjLabel16a");   
   ObjectDelete("SSIG1"); ObjectDelete("SSIG2"); ObjectDelete("SSIG3"); ObjectDelete("SSIG4"); ObjectDelete("SSIG5"); ObjectDelete("SSIG6"); 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {    
        //m15 data
    double stoch_main_m15 = iCustom(NULL,PERIOD_M15,"Trline_norm",period,PriceField,MODE_MAIN,0);
    
    //h4 data
    double stoch_main_h4 = iCustom(NULL,PERIOD_H4,"Trline_norm",period,PriceField,MODE_MAIN,0);

    //d1 data
    double stoch_main_d1 = iCustom(NULL,PERIOD_D1,"Trline_norm",period,PriceField,MODE_MAIN,0);
    
    //define color
    color  stoch_color_m15, stoch_color_h4, stoch_color_d1;

    //define string    
    string   stoch_arrow_m15, stoch_arrow_h4, stoch_arrow_d1;
    
    //m15 up trend
    if (stoch_main_m15 >0)  { stoch_color_m15 =Lime; }

    //m15 down trend
    if (stoch_main_m15 <0)  { stoch_color_m15 = Red; }
       
    //h4 up trend
    if (stoch_main_h4 >0)  { stoch_color_h4 = Lime; }
    
    //h4 down trend
    if (stoch_main_h4 <0)  { stoch_color_h4 = Red; }

    //d1 up trend
    if (stoch_main_d1 >0)  { stoch_color_d1 = Lime; }    
    
    //d1 down trend
    if (stoch_main_d1 <0)  { stoch_color_d1 = Red; }
    
    
    //Show Digital Stochastic Value
    if (Show_Stoch_Value == true) 
    {
      //stochastic value
      
      if (stoch_main_m15 > 0) { stoch_arrow_m15 = ""; }
      if (stoch_main_m15 <0) { stoch_arrow_m15 = ""; }

      if (stoch_main_h4 >0) { stoch_arrow_h4 = ""; }
      if (stoch_main_h4 <0) { stoch_arrow_h4 = ""; }

      if (stoch_main_d1 > 0) { stoch_arrow_d1 = ""; }
      if (stoch_main_d1 <0) { stoch_arrow_d1 = ""; }
              
                         
      //stoch h4 value
      ObjectCreate("ObjLabel12", OBJ_LABEL, 0, 0, 0);
        ObjectSetText("ObjLabel12","H4: "+StringSubstr(stoch_main_h4,0,5),12, "Arial Bold", stoch_color_h4);
        ObjectSet("ObjLabel12", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabel12", OBJPROP_XDISTANCE, 10);
        ObjectSet("ObjLabel12", OBJPROP_YDISTANCE, 110);

      //arrow h4
      ObjectCreate("ObjLabel12a", OBJ_LABEL, 0, 0, 0);
        ObjectSetText("ObjLabel12a",stoch_arrow_h4,12, "Wingdings", stoch_color_h4);
        ObjectSet("ObjLabel12a", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabel12a", OBJPROP_XDISTANCE, 100);
        ObjectSet("ObjLabel12a", OBJPROP_YDISTANCE, 110);        

      //stoch m15 value        
      ObjectCreate("ObjLabel13", OBJ_LABEL, 0, 0, 0);
        ObjectSetText("ObjLabel13","M15: "+StringSubstr(stoch_main_m15,0,5),12, "Arial Bold", stoch_color_m15);
        ObjectSet("ObjLabel13", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabel13", OBJPROP_XDISTANCE, 10);
        ObjectSet("ObjLabel13", OBJPROP_YDISTANCE, 90);

      //arrow m15
      ObjectCreate("ObjLabel13a", OBJ_LABEL, 0, 0, 0);
        ObjectSetText("ObjLabel13a",stoch_arrow_m15,12, "Wingdings", stoch_color_m15);
        ObjectSet("ObjLabel13a", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabel13a", OBJPROP_XDISTANCE, 100);
        ObjectSet("ObjLabel13a", OBJPROP_YDISTANCE, 90);        


      //stoch d1 value
      ObjectCreate("ObjLabel14", OBJ_LABEL, 0, 0, 0);
        ObjectSetText("ObjLabel14","D1: "+StringSubstr(stoch_main_d1,0,5),12, "Arial Bold", stoch_color_d1);
        ObjectSet("ObjLabel14", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabel14", OBJPROP_XDISTANCE, 10);
        ObjectSet("ObjLabel14", OBJPROP_YDISTANCE, 130);        
        
      //arrow d1
      ObjectCreate("ObjLabel14a", OBJ_LABEL, 0, 0, 0);
        ObjectSetText("ObjLabel14a",stoch_arrow_d1,12, "Wingdings", stoch_color_d1);
        ObjectSet("ObjLabel14a", OBJPROP_CORNER, 0);
        ObjectSet("ObjLabel14a", OBJPROP_XDISTANCE, 100);
        ObjectSet("ObjLabel14a", OBJPROP_YDISTANCE, 130); 

    }
//----
    return(0); 
//----
} 

//+------------------------------------------------------------------+